//////////////////////////////////////////
// FileHandler.cpp
//Copyright (c) 8/10/2022 by ECCSkelton
//////////////////////////////////////////
#include	"FileHandler.h"
#include	"CSPLIT.h"
#include	"User.h"
#include	"FileHandlerProc.h"

////////////////
// WinMain関数
////////////////
int WINAPI wWinMain(HINSTANCE hInstance, HINSTANCE hPrevInstance,
					LPWSTR lpCmdLine, int nCmdShow) {

	//２重起動防止
	if(!FileHandler.IsOnlyOne()) {
		HWND hWnd = FindWindowW(L"MainWnd", L"FileHandler");
		if(IsIconic(hWnd))
			ShowWindow(hWnd, SW_RESTORE);
		SetForegroundWindow(hWnd);
		return 0L;
	}

	//ウィンドウ登録 − Init(ClassName, hInstance, L"IDM_MAIN",
	//						（以下省略可）MAKEINTRESOURCE(IDI_ICON), IDC_ARROW, Brush)
	FileHandler.Init(L"MainWnd", hInstance, L"IDM_MAINMENU", MAKEINTRESOURCE(IDI_ICON));

	//ウィンドウ作成と表示−Create(WindowTitle, (以下省略可）Style,
	//						ExStyle, hParent, hMenu, x, y, w, h)
	if(!FileHandler.Create(L"FileHandler"))
		return 0L;

	//アクセラレーター登録−InclAccel("(Accelerator ID)")
	FileHandler.InclAccel(L"IDA_ACCEL");

	//メッセージループに入る
	return FileHandler.Loop();
}
